From 1059f3214fd89b66492aba081e0ab9c4372ffc09 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jan 26 2017 08:27:42 +0000
Subject: [PATCH 669/1001] Add a timeout to the requests-based validators


---

diff --git a/hubs/validators.py b/hubs/validators.py
index a33fe0f..2ae918f 100755
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -42,14 +42,14 @@ def fmn_context(session, value):
 
 
 def pagure_repo(session, value):
-    response = requests.get("https://pagure.io/%s" % value)
+    response = requests.get("https://pagure.io/%s" % value, timeout=5)
     if response.status_code == 200:
         return value
     raise ValueError('Invalid pagure repo')
 
 
 def fedorahosted_project(session, value):
-    response = requests.get("https://fedorahosted.org/%s" % value)
+    response = requests.get("https://fedorahosted.org/%s" % value, timeout=5)
     if response.status_code == 200:
         return value
     raise ValueError('Invalid fedorahosted project')

